Mission = {
};


function Mission:OnInit()
	-- you may want to load a string-table etc. here...
end

function Mission:OnUpdate()
	local i;
	local bFinished=1;
	for i,objective in Mission do
		if (type(objective)~="function") then
			if (objective==0) then 
				bFinished=0;				
			else
			end
		end	
	end
	if (bFinished==1) then	
		self.Finish();
	end
end


function Mission:Finish()
	-- go to next mission...
end

function Mission:Event_MissionFinished()
	_localplayer.cnt:SavePlayerElements();
	Game:SendMessage('StartLevelFade sublevel2');
end


function Mission:Event_PlaneDown()
	Hud:AddMessage(("NewObjective"),9);

        Hud:PushObjective({},("Find Out What the Hell is Going On Avoid Contact as Possible"));
end

function Mission:Event_SatDish()
	Hud:AddMessage(("NewObjective"),9);

	Hud:CompleteObjective(("Find Out What the Hell is Going On Avoid Contact as Possible"))

	Hud:PushObjective({},("Destroy the Sat Dish to Cut the Communications"))
	Hud:SetRadarObjective("SAT");	
end

function Mission:Event_FindaWayOut()
	Hud:AddMessage(("NewObjective"),9);

	Hud:CompleteObjective(("Destroy the Sat Dish to Cut the Communications"))

	Hud:PushObjective({},("Find a Way Out of This Damn Jungle"))
        Hud:SetRadarObjective("END");
end